function m = setComponentInfo( m )
    [nodeindexes,nodesets,edgeindexes,edgesets,cellindexes,cellsets] = connectedComponentsE(m);
    m.componentinfo = struct( ...
        'nodeindexes', nodeindexes, ...
        'edgeindexes', edgeindexes, ...
        'cellindexes', cellindexes );
    m.componentinfo.nodesets = nodesets;
    m.componentinfo.edgesets = edgesets;
    m.componentinfo.cellsets = cellsets;
end
